MPD_sima v0.18.0

 * New database, no migration done from old database !
   A backup is done in "${XDG_DATA_HOME}/mpd_sima/"
   Play history and blocklist are forgotten then.
 * Blocklist is now handled with mpd-sima command arguments,
   simadb_cli executable is removed.
 * Removed obsolete --create-db and --generate-config options
 * Fixed crash when setting XDG_CONFIG_HOME (closes #50)
 * Add abstract unix socket support for MPD connection
 * Better MPD connection management.
 * Need at least python-musicpd 0.7.0.
   Abstract socket in v0.6.0 and socket timeout in v0.7.0

 -- kaliko <kaliko@azylum.org>  Tue, 16 Nov 2021 16:02:37 +0100

MPD_sima v0.17.0

 * New offline autoqueue plugin based on file genre tags only
 * Add randomness in Tags plugin artist selection
 * Fixed issue with un-tagged titles (closes #40)
 * Fixed "artist with quotes not found" (closes #41)
 * Fixed bad pid in Uniq core plugin (closes #32)
 * Move "test-tags-config" as positional argument "config-test"
 * Move "--create-db" as positional argument "create-db"
 * Add mpd-sima commands as positional arguments:
 config-test, create-db, generate-config, purge-history
 * Use duration instead of time in Track object (closes #37)
 * Use musicbrainz_albumid|trackid tags in Tracks object

 -- kaliko <kaliko@azylum.org>  Wed, 28 Apr 2021 17:21:39 +0200

MPD_sima v0.16.1

 * tags plugin: Add album queue mode
 * tags plugin: Ensure metadata used in filter are enabled
 so that MPD exposes them (closes #38)

 -- kaliko <kaliko@azylum.org>  Sat, 09 Jan 2021 12:28:17 +0100

MPD_sima v0.16.0

 * New offline autoqueue plugin based on file tags only
 * Expose a new executable "test-tags-config"
 * Update vinstall.py (closes #34)
 * Fixed bug when http client fetches a corrupted cached entry (closes #35)
 * Need at least python 3.6

 -- kaliko <kaliko@azylum.org>  Tue, 15 Dec 2020 16:17:05 +0100

MPD_sima v0.16.0.dev0

 * Major MPD client refactoring
 * Refactored random plugin
 * Fixed bug in MPD client reconnection

 -- kaliko <kaliko@azylum.org>  Sat, 16 May 2020 14:49:04 +0200

MPD_sima v0.15.3

 * Improve HTTP client (use persistent connection)
 * Fixed a serious bug in PlayerClient().search_albums()
   "search_albums" method was ignoring some albums when Artist object had
   aliases.

-- kaliko jack <kaliko@azylum.org> Sun, 03 May 2020 16:30:36 +0200

MPD_sima v0.15.2

 * Fixed sqlite sqlite3.OperationalError VACUUM Error
 cf. https://bugs.python.org/issue28518
 * Add option to queue a chosen number of tracks from an album (closes #28)
 * Add option to shuffle tracks in album mode (Thanks Sacha)

-- kaliko jack <kaliko@azylum.org> Thu, 14 Nov 2019 17:41:22 +0100

MPD_sima v0.15.1

 * Fixed mopidy compatibility implementation

-- kaliko jack <kaliko@azylum.org> Tue, 19 Mar 2019 15:14:48 +0100

MPD_sima v0.15.0

 * Remove EchoNest support (Closes #10)
 * Enhanced queuing behavior in random mode (Closes #16)
 * Add option to prevent single & repeat mode to disable queuing (Closes #19)
 * Honor MPC password/host format on command line option 'host'
 * Fixed fuzzy search for short artist names
 * Client side hardcoded one month caching (ugly workaround for #7)
 * Simplified album search
 * Track search aggregates artist name and MusicBrainzID searches
 * Add an undocumented mopidy compatibility configuration option
   Use the boolean option "mopidy_compat" in the sima section
   cf. https://gitlab.com/kaliko/sima/issues/21#

-- kaliko jack <kaliko@azylum.org> Tue, 19 Mar 2019 13:58:49 +0100

MPD_sima v0.14.4

 * Fixed blacklisting for Random plugin (Closes #14)
 * Fixed sensible flavour of random plugin, thanks dnmx (Closes #15)

-- kaliko jack <kaliko@azylum.org> Thu, 24 Aug 2017 11:46:14 +0200


MPD_sima v0.14.3

 * This release in only intended to get rid of 0.14.2 source tarball.
   Source tar ball for v0.14.2 was badly generated. Release 0.14.2 and 0.14.3
   are actually the same source code, only generated tar were affected.
   Sorry for the inconvenience.

-- kaliko jack <kaliko@azylum.org> Sun, 12 Feb 2017 15:49:03 +0100


MPD_sima v0.14.2

 * Fixed MPD client cache (filters empty strings)
 * Fixed Track object to work with MPD >= 0.20 (Closes #12)
 * Fixed python virtualenv installer

-- kaliko jack <kaliko@azylum.org> Sat, 11 Feb 2017 13:04:27 +0100


MPD_sima v0.14.1

 * Prevent adding empty track to history (Closes #5)
 * Fixed false warning about wrong MBID format (Closes #6)

-- kaliko jack <kaliko@azylum.org> Sat, 02 Jan 2016 16:03:39 +0100


MPD_sima v0.14.0

 * Add option to generate config on stdout
 * Add priority feature for plugins
 * More robust MPD client
 * Fixed top track mode
 * Fixed default conf file name (back to mpd_sima.cfg)
 * Fixed http cache for lastFM
 * Cleanup code (removed users similarities)
 * Make "var-dir" option default name instead of "var_dir"
 * Honor HTTP_PROXY env. var. (need requests >2.4.0)

-- kaliko jack <kaliko@azylum.org> Sat, 17 Oct 2015 10:48:41 +0200


MPD_sima v0.13.0

 * Use of MusicBrainzIdentifier by default
   Please consider tagging your library with these metadata
 * New virtualenv installer in pure python

-- kaliko jack <kaliko@azylum.org>  Wed, 28 Jan 2015 12:20:49 +0100


MPD_sima v0.12.3

 * Use albumartist to fetch similar artists
 * Fixed some bugs managing tags

-- kaliko jack <kaliko@azylum.org>  Sat, 06 Dec 2014 16:42:15 +0100


MPD_sima v0.12.2

 * Add some randomness to track selection
 * Do not queue artists already queued (regression)
 * Some refactoring in http client

-- kaliko jack <kaliko@azylum.org>  Tue, 01 Jul 2014 21:47:56 +0200


MPD_sima v0.12.1

 * Fixed SIGHUP error, need python-musicpd >= 0.4.1
 * Add core plugin to detect multiple MPD_sima instance on the same MPD host
 * Fixed startup robustness
 * Removed timestamp in console logging

-- kaliko jack <kaliko@azylum.org>  Sat, 21 Jun 2014 14:02:17 +0200


MPD_sima v0.12.0

 * Major refactoring
 * Add a setup.py, got rid of the Makefile.
 * Switched to Python3 (>=3.2)
 * Depends on requests (http client)
 * Depends on python-musicpd (py3k port of python-mpd)
   configuration file change
   internal database remains the same
 * Temporarily removed userdb feature
 * Base artist for similarity is the last track queued
 * Persistent http caching

-- kaliko jack <kaliko@azylum.org> Mon, 16 Jun 2014 10:37:14 +0200


MPD_sima v0.11.0

 * straight forward py3k conversion from v0.10.0

-- kaliko jack <kaliko@azylum.org> UNRELEASED


MPD_sima v0.10.0

 * Improved album detection (especially multi-artists album)
 * Controls conf file is readable at startup
 * Complete rewrite of MPD client

-- kaliko jack <kaliko@azylum.org>  Wed, 26 Sep 2012 18:56:57 +0200


MPD_sima v0.9.2

 * Fixed Makefile, thanks Artur Frysiak (fixes #2849 #2848)

-- kaliko jack <kaliko@azylum.org>  Sun, 26 Feb 2012 22:06:27 +0100


MPD_sima v0.9.1

 * Fixed an issue in idle implementation

-- kaliko jack <kaliko@azylum.org>  Fri, 24 Feb 2012 12:04:39 +0100


MPD_sima v0.9.0

 * New CLI option --create-db
 * Option main_loop_time removed, use of idle makes it useless
 * New config file option "dynamic" (fixes #2593)

 Refactoring:
 * Start player abstraction, new MPD class (fixes #2418)
 * Use idle MPD command, needs python-mpd >= 0.3

 Bugs fix:
 * PID file creation now respects system umask (fixes #2368)
 * Avoid to queue twice the same album (fixes #2595)
 * Empty password does not trigger auth attempt (fixes #2543)
 * Fixed --var_dir option, thanks Artur Frysiak (fixes #2796)

 Minor changes:
 * Improved execution time in tracks history look up mainly.
 * Switch to python-daemon 0.4

-- kaliko jack <kaliko@azylum.org>  Fri, 10 Feb 2012 11:31:57 +0100


MPD_sima v0.8.0

 * New CLI option "--daemon" to run as a daemon

 * Abandoned compatibility with python 2.5 (urllib2.urlopen timeout)
 * Add daemon cli option to daemonize the process (closes #616)
 * Add a Makefile (install, uninstall targets) following GNU standards.
 * Refactored queue_mode method, thanks MsieurHappy ;)
 * Moved Track class to separate file.
 * Reduce memory footprint (better simafm cache handling).

 * Fixed a bug in database management, cleaning database performs better

-- kaliko jack <kaliko@azylum.org>  Sun, 08 May 2011 14:06:22 +0200


MPD_sima v0.7.2

  * Fixes a bug introduced fixing #2113, history was no longer honored!

-- kaliko jack <kaliko@azylum.org>  Sun, 30 Jan 2011 10:54:53 +0100


MPD_sima v0.7.1

 * Add Makefile from 0.8 dev branch
 * Fixes #2113
 * Fixes #2091

-- kaliko jack <kaliko@azylum.org>  Sat, 22 Jan 2011 09:17:18 +0100


MPD_sima v0.7.0

 * Stall queueing when MPD is in "single" or "repeat" mode (closes #1607)
 * No longer need to restart MPD_sima when MPD database has been updated, it
   was necessary to have new entries to appear in MPD_sima (closes #1719).
 * New database version, upgraded at first start (back up done in sima.db.0.6)
 * Uses SQLite for history. Play history always saved, not anymore optional.
 * simadb_cli uses MPD_HOST/MPD_PORT environment variables
 
 * New mpd_sima CLI option --var_dir to change default ${XDG_DATA_HOME}
   Allows to launch the script as a "system service" (closes #1738)
 
 Bugs:
 * Autoqueue not anymore stall when started without internet access (closes
   #1568 and #1695)
 * Fixed a bug with MPD_(HOST|PORT), env. var. only used when no host/port are
   set in the config file.
 
 Configuration file changes:
 * New "history_duration" option
 * Remove "history" & "history_length" options, replace by "history_duration"
 * New "queue" option
 * Remove "top_tracks" option, now use "queue" option with "top" value.
 * New consume option (closes #1576)
 * New queue mode "album" (closes #1008)
 * New option "album_to_queue" to set how many albums to queue
 * New option "single_album" allowing to force queuing track from different
   albums, for instance it'll avoid to end up playing a whole OST.

 (cf. <doc/examples/all_settings.cfg> for all options available)

-- kaliko jack <kaliko@azylum.org>  Sat, 18 Dec 2010 12:11:12 +0100


MPD_sima v0.6.0

 * Use of SQLite (closes #838)
 * [simadb_cli] new command line interface to edit sima.db (SQLite database)
 * [mpd_sima.py] New command line option to load a specific configuration file
 * Removed pyscrobbler module, now uses SimaFM (closes #741)
 * Cache is no longer managed as it was (because of SimaFM), it isn't
   possible to save it (advanced "cache" option removed).
   last.fm request caching is still enabled though.
   Saving last.fm request to file is milestoned 0.6.1
 * Create documentation (docbook -> {troff,pdf,(x)html})
 * Convert to unicode all utf-8/legacy code (closes #839)
 * Re-Licenced the code under GNU GPL.

-- kaliko jack <kaliko@azylum.org>  Mon, 10 May 2010 19:40:10 +0200


MPD_sima v0.5.2

 * New fuzzy string matching dedicated to artist names (closes #686)
 * uses optparse instead of getopt (closes #834)
 * now sets options with built-in default, then configuration file and finally
   command line.
 * Fixes the “deprecated 'md5'” warning in audioscrobbler.py with patch
   provided in bug report #11 (closes #1144) –  cf. pyscrobbler online:
   http://code.google.com/p/pyscrobbler

-- kaliko jack <kaliko@azylum.org>  Tue, 16 Mar 2010 14:01:22 +0100


MPD_sima v0.5.1

 * No longer uses/writes a default conf file in ~/.config/mpd_sima (or XDG
   default), MPD_HOST is used if no conf file is present.
 * replace exhaustive loops by generator
 * clean up

-- kaliko jack <kaliko@azylum.org>  Thu, 26 Nov 2009 10:13:08 +0100


MPD_sima v0.5.0

 * Add option to play only most popular songs from an artist (closes #739).
 * Now prefer non played over already played artist is possible (closes #774)
 * Use of %-age of similarity to get the list of similar (closes #740).
 * nearly all Unicode (closes #742).
 * Using dequeu object => ** New history/cache/user_db formats. **
 * Heavy refactoring, new Track object.
 * Improved fuzzy search for artists in MPD library (using difflib/levenshtein)
 * Log to file within python script (closes #815), add --log=<file> option.
 * Removed bashism & improved portability in shell launcher, thanks ksh@vim-fr ;)

-- kaliko jack <kaliko@azylum.org>  Sun, 25 Oct 2009 12:02:02 +0100


MPD_sima v0.4.0

 * Add option to play only most popular songs from an artist
 * Better list of similar artists thanks to %-age of similarity… hopefully
 * Unicode !!!!

-- kaliko jack Unreleased / abandoned dev branch


MPD_sima v0.3.0

 * New bash wrapper launch.sh to execute the script
 * User's database for similar artists through a new conf file user_db_cfg.
   Refer to examples for syntax.
 * check playlist queue to add tracks, not only history.
 * Rename history to history.pkl
 * add new command line options, help and version.
 * now look for MPD_HOST MPD_PORT env variable to create default conf file
 * run main loop even if the same track is playing, hence MPD_sima will keep
   adding new tracks even if the same track is still playing and stops only if
   the target is reached (ie. queue_length)

-- kaliko jack <kaliko@azylum.org>  Tue, 28 Jul 2009 18:10:09 +0200


MPD_sima v0.2.0

 * WARNING: Moved to python-mpd instead of python-mpdclient2
 * Add cache for last.fm request
 * Possibility to save cache to file (new option in mpd_sima.cfg)
 * new src directory layout
 * Improved log output formatting
 * Imroved code & removed old unused method
 * Controls availability of commands right after conn/auth
 * New pyscroobler version (revision 5), fix bug with slash in names.

-- kaliko jack <kaliko@azylum.org>  Fri, 12 Jun 2009 18:10:47 +0200


MPD_sima v0.1.1 (first upgrade)

  * HEAVY refactoring to improve coding style (thanks pylint).
  * intercept audioScrobbler server connexion errors (no longer stops
    mpd_sima). Issue/bug reported:
    http://code.google.com/p/pyscrobbler/issues/detail?id=7
  * now cath SIGTERM signal along with SIGINT (keyborad interupt)
  * save history to file (new option in mpd_sima.cfg)
  * add --pid option to python script
  * correct launch.sh accordingly
  * new date format for the log

-- kaliko jack <kaliko@azylum.org>  Thu, 04 Jun 2009 20:35:25 +0200


MPD_sima v0.1.0 (first stable release)

  * First quasi stable release (my first python code…)

-- kaliko jack <kaliko@azylum.org>  Thu, 28 May 2009 20:45:03 +0200

# vim: fileencoding=utf-8
# -*- coding: utf-8 -*-
